package com.zehong.system.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

public class UserManageGasUserExportVo {

    /** 用户账号 */
    @Excel(name = "用户自有编号", needMerge = true)
    private String userOwnId;

    /** 用户名称 */
    @Excel(name = "用户名称", needMerge = true)
    private String nickName;

    @Excel(name = "燃气类型(0-天然气;1-液化气)", needMerge = true)
    private String gasType;

    /** 用户类型（1居民用户，2商业用户，3工业用户） */
    @Excel(name = "用户类型(1-居民用户;2-商业用户;3-工业用户;4-餐饮单位用户)", needMerge = true)
    private String userType;

    /**
     * 所属企业名称
     */
    @Excel(name = "所属单位", needMerge = true)
    private String beyondEnterpriseName;

    /**
     * 居住区(村、庄)
     */
    @Excel(name = "居住区(村、庄)", needMerge = true)
    private String villageName;

    /** 地址 */
    @Excel(name = "地址", needMerge = true)
    private String address;

    /** 联系人 */
    @Excel(name = "联系人", needMerge = true)
    private String linkman;

    /** 电话 */
    @Excel(name = "电话", needMerge = true)
    private String phone;

    /** 备注 */
    @Excel(name = "备注", needMerge = true)
    private String remarks;

    public String getUserOwnId() {
        return userOwnId;
    }

    public void setUserOwnId(String userOwnId) {
        this.userOwnId = userOwnId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getGasType() {
        return gasType;
    }

    public void setGasType(String gasType) {
        this.gasType = gasType;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getBeyondEnterpriseName() {
        return beyondEnterpriseName;
    }

    public void setBeyondEnterpriseName(String beyondEnterpriseName) {
        this.beyondEnterpriseName = beyondEnterpriseName;
    }

    public String getVillageName() {
        return villageName;
    }

    public void setVillageName(String villageName) {
        this.villageName = villageName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
